/*
 *	WEngine by eMan
 *  WWW : www.eman.wz.cz
 *  PATH : .\SDK\WCode\App\CBaseWin.h
 */

#ifndef _CBASE_WIN_H
#define _CBASE_WIN_H

#include "EngineH.h"
#include "CBase.h"
#include "CMapMsg.h"

static C_MAP_MSG_0 g_MapMsg_win;
typedef LONG (*pToWndProc)(HWND, UINT, WPARAM, LPARAM);
const int MAX_WINDOW_WIN = 10;

class C_BASE_WIN_0 : public C_BASE_0
{
private :
	pToWndProc _pWndProc;
	//**//  Funkce  //**//
	void Init();

public :
	C_BASE_WIN_0();
	C_BASE_WIN_0(const char *cTitle,const char * cWnd=0);
	C_BASE_WIN_0(pToWndProc p,const char *cTitle=0,const char * cWnd=0);
	virtual ~C_BASE_WIN_0();

public :
	void WndProcFunc(pToWndProc p){_pWndProc = p;}
	int Create(const char *cTitle=0,const char * cWndName=0);
	virtual bool Register();
	virtual void Kill(){;}
		
protected :
	static LONG WndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
};

#endif _CBASE_WIN_H